# Class JAssetReservation

#### Hierarchy (View Summary)

- JBaseApi
  - JAssetReservation

- Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

bookByDate
cancelReservation
configuration
createReservation
getList
getReservations

## Constructors

### constructor

- new JAssetReservation(jApi: JamespotUserApi): JAssetReservation

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JAssetReservation

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### bookByDate

- bookByDate(
  __namedParameters: {
  date: string;
  format?: "raw-little" | "raw-list" | "raw-view";
  hourEnd: string;
  hourStart: string;
  },
  ): Promise<ApiWrapper<BookableAssetList[], BaseMessages>>

  #### Parameters

  - __namedParameters: {
    date: string;
    format?: "raw-little" | "raw-list" | "raw-view";
    hourEnd: string;
    hourStart: string;
    }

  #### Returns Promise<ApiWrapper<BookableAssetList[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:55

### cancelReservation

- cancelReservation(
  id: number,
  ): Promise<ApiWrapper<ReservationList, BaseMessages>>

  #### Parameters

  - id: number

  #### Returns Promise<ApiWrapper<ReservationList, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:46

### configuration

- configuration(): Promise<
  ApiWrapper<AssetReservationConfiguration, BaseMessages>,
  >

  #### Returns Promise<ApiWrapper<AssetReservationConfiguration, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:7

### createReservation

- createReservation(
  params: {
  date: string;
  description?: string;
  hourEnd: string;
  hourStart: string;
  uri: string;
  uriUser?: string;
  },
  ): Promise<ApiWrapper<ReservationList, BaseMessages>>

  #### Parameters

  - params: {
    date: string;
    description?: string;
    hourEnd: string;
    hourStart: string;
    uri: string;
    uriUser?: string;
    }

  #### Returns Promise<ApiWrapper<ReservationList, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:13

### getList

- getList(
  __namedParameters: {
  filters?: Filters;
  format?: "raw-little" | "raw-list" | "raw-view";
  limit?: number;
  orders?: Orders;
  page?: number;
  query?: string;
  viewMode?: "history";
  },
  ): Promise<ApiPagingResults<ReservationList>>

  #### Parameters

  - __namedParameters: {
    filters?: Filters;
    format?: "raw-little" | "raw-list" | "raw-view";
    limit?: number;
    orders?: Orders;
    page?: number;
    query?: string;
    viewMode?: "history";
    }

  #### Returns Promise<ApiPagingResults<ReservationList>>

  - Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:72

### getReservations

- getReservations(
  __namedParameters: {
  dateEnd: string;
  dateStart: string;
  format?: "raw-little" | "raw-list" | "raw-view";
  uri: string;
  },
  ): Promise<ApiWrapper<ReservationList[], BaseMessages>>

  #### Parameters

  - __namedParameters: {
    dateEnd: string;
    dateStart: string;
    format?: "raw-little" | "raw-list" | "raw-view";
    uri: string;
    }

  #### Returns Promise<ApiWrapper<ReservationList[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/assetReservation/assetReservation.ts:29